Bug 1993148 - Monitoring UI doesn't make use of React's memoization features
Summary: Monitoring UI doesn't make use of React's memoization features
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-12 13:30 UTC by Andrew Pickering
Modified: 2021-10-18 17:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9794 0 None None None 2021-08-12 13:32:37 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:23 UTC

Description Andrew Pickering 2021-08-12 13:30:25 UTC
Some areas of the Monitoring UI can be slow, particularly the Dashboards page. Part of the problem is that we don't use React's built in memoization functionality.

Comment 2 hongyan li 2021-08-23 06:53:31 UTC
Test with payload 4.9.0-0.nightly-2021-08-18-144658 and 4.8.0-0.nightly-2021-08-22-035234, compared UI performance data. Checked alert page, alert rule page and dashboards page, all improve.

Detail see attachment

Comment 4 hongyan li 2021-08-23 12:14:00 UTC
I picked a cluster with wrong build in #c2, retest with payload 4.9.0-0.nightly-2021-08-18-144658 and 4.9.0-0.nightly-2021-08-22-070405
Detail see attachment new performance data

Comment 12 errata-xmlrpc 2021-10-18 17:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.